package org.fabric3.spi.services.contribution;

import java.io.Serializable;
import javax.xml.namespace.QName;

/**
 * Represents an exported artifact in a contribution
 *
 * @version $Rev: 1 $ $Date: 2007-05-14 10:40:37 -0700 (Mon, 14 May 2007) $
 */
@SuppressWarnings({"serial", "SerializableHasSerializationMethods"})
public abstract class Export implements Serializable {
    public static final int NO_MATCH = -1;
    public static final int EXACT_MATCH = 1; 

    public abstract int match(Import contributionImport);

    public abstract QName getType();

}
